# PERSONVERN

**Sist oppdatert 18. Januar, 2020**


Takk for at du velger å være en del av samfunnet vårt i NH Wii U Guide (“selskapet”, ”vi”, "oss", eller ”vår”). Vi er forpliktet til å beskytte dine personopplysninger og din rett til personvern. Hvis du har spørsmål eller bekymringer om vår politikk, eller våre praksiser med hensyn til din personlige informasjon, vennligst kontakt oss på nh.wiiuguide@gmail.com.

Når du besøker nettsiden vår https://wiiu.hacks.guide, og bruker våre tjenester, stoler du på oss med din personlige informasjon. Vi tar personvernet ditt svært alvorlig. I denne personverns erklæringen beskriver vi våre retningslinjer for personvern. Vi ønsker å forklare for deg på den tydeligste mulige måten hva slags informasjon vi samler inn, hvordan vi bruker den og hvilke rettigheter du har i forhold til den. Vi håper du tar deg tid til å lese gjennom nøye, siden dette er viktig. Dersom det er noen vilkår i denne personverns erklæringen du ikke er enig med, vennligst avbryt bruken av våre nettsteder og våre tjenester.

Denne personvernerklæringen gjelder all informasjon som blir samlet på nettstedet vårt (f.eks. https://wiiu.hacks.guide), og/eller alle relaterte tjenester, salg, markedsføring eller arrangement (vi refererer til dem samlet i denne personvernerklæringen som "**Sites**").

**Les denne personvernerklæringen nøye.**


## INNHOLD

[1. HVA SLAGS INFORMASJON HENTER VI?](privacy-policy?id=_1-what-information-do-we-collect)

[2. BRUKER VI COOKIES OG ANDRE TRACKING TEKNOLOGIER?](privacy-policy?id=_2-do-we-use-cookies-and-other-tracking-technologies)

[3. HVA ER RETTIGHETENE DINE FOR PERSONVERN?](privacy-policy?id=_3-what-are-your-privacy-rights)

[4. HAR INNBYGGERE I CALIFORNIA SPESIELLE PERSONVERN RETTIGHETER?](privacy-policy?id=_4-do-california-residents-have-specific-privacy-rights)

[5. LAGER VI OPPDATERINGER TIL DENNE POLITIKKEN?](privacy-policy?id=_5-do-we-make-updates-to-this-policy)

[6. HVORDAN KAN DU KONTAKTE OSS OM DENNE POLITIKKEN?](privacy-policy?id=_6-how-can-you-contact-us-about-this-policy)



### 1. HVA SLAGS INFORMASJON HENTER VI?

***Kort fortalt:*** *Vi samler ikke inn personlige opplysninger.*

Vi samler ikke inn personlig informasjon i noen form. Men, våre verter, [GitHub Sider](https://pages.github.com/) kan samle inn personlig informasjon. For mer informasjon, se [GitHub's personvern erklæring](https://help.github.com/en/github/site-policy/github-privacy-statement)


### 2. BRUKER VI COOKIES OG ANDRE SPORINGSTEKNOLOGIER?
***Kort fortalt:*** *Vi bruker ikke cookies og andre sporingsteknikker for å samle og lagre din informasjon.*

Vi bruker ikke cookies og lignende sporingsteknikker som web beacons og pixels) for å få tilgang til, eller lagre informasjon.


### 3. HVA ER RETTIGHETENE DINE FOR PERSONVERN?

***Kort fortalt:*** *I enkelte områder, for eksempel i Det Europeiske Økonomiske Samarbeidsområdet (herved forkortet til EØS), har du rettigheter som gir deg større tilgang til og kontroll over dine personlige opplysninger. Du kan gjennomgå, endre eller avslutte kontoen din når som helst.*

I noen regioner (som i EØS land) har du visse rettigheter under gjeldende personvernlovgivning. Disse kan omfatte rett (i) til å be om adgang til og innhente en kopi av dine personopplysninger (ii) til å be om korrigering eller sletting av dem; (iii) å begrense behandlingen av din personlige informasjon og (iv) om relevant, for data portabilitet. I visse tilfeller kan det hende du også har rett til å motsette deg behandling av dine personlige opplysninger. For å lage en slik forespørsel, bruk [Kontaktopplysningene](privacy-policy?id=_6-how-can-you-contact-us-about-this-policy) som vist nedenfor. Vi vil vurdere og handle på enhver forespørsel i samsvar med gjeldende personvernlovgivning.

Hvis vi er avhengig av ditt samtykke til å behandle din personlige informasjon, har du rett til å trekke tilbake ditt samtykke når som helst. Det er imidlertid viktig å merke seg at dette ikke vil påvirke rettssikkerheten til behandlingen før uttrekket.

Hvis du er bosatt i ett EØS land, og du mener vi behandler dine personopplysninger ulovlig, har du rett til å klage til din lokale personvernmyndighet. Kontaktinformasjon finner du her: http://ec.europa.eu/justice/data-protection/bodies/authorities/index_en.htm


### 4. HAR INNBYGGERE I CALIFORNIA SPESIELLE PERSONVERN RETTIGHETER?

***Kort fortalt:*** *Ja, hvis du er innbygger i California, så har du spesifikke rettigheter angående tilgangen til din personlige informasjon.*

California Civil Code Section 1798.83, også kjent som «Shine The Light»-loven, gir brukerne våre som er California innbyggere tilgangen til å be om og motta fra oss, gratis en gang i året, informasjon om kategorier av personlig informasjon (hvis det er noen) som vi har delt med tredjepart for direkte markedsføringsformål og navn og adresser til alle tredjeparter som vi delte personopplysninger med i det foregående kalenderåret. Hvis du er en California innbygger og ønsker å komme med en forespørsel, send forespørselen din skriftlig til oss ved hjelp av kontaktopplysningene som er gitt nedenfor.

Er du under 18 år, innbygger i California, og har en registrert konto på sidene, så har du rett til å be om fjerning av uønskede data som du offentlig poster på sidene. For å be om å fjerne slik data, vennligst kontakt oss ved å bruke kontaktinformasjonen nedenfor og inkluder e-postadressen som er tilknyttet din konto og en påstand om at du oppholder deg i California. Vi skal sikre at dataene ikke er offentlig vist på de valgte sidene, men vær oppmerksom på at dataene ikke nødvendigvis er fullstendig fjernet fra våre systemer.


### 5. LAGER VI OPPDATERINGER TIL DENNE POLITIKKEN?

***Kort fortalt:*** *Ja, vi oppdaterer denne politikken etter behov for å holde seg i samsvar med relevante lover.*

Vi kan oppdatere personvernerklæringen fra tid til annen. Den oppdaterte versjonen vil bli indikert med en oppdatert dato for "Revidert Innhold" og den oppdaterte versjonen vil være gyldig så snart den er tilgjengelig. Hvis vi gjør vesentlige endringer i denne personvernerklæringen, kan vi gi beskjed ved å enten tydelig poste et varsel om slike endringer eller ved å sende deg en melding. Vi oppfordrer deg til å gjennomgå denne personvernerklæringen ofte for å bli informert om hvordan vi beskytter informasjonen din.


### 6. HVORDAN KAN DU KONTAKTE OSS OM DENNE POLITIKKEN?

Hvis du har spørsmål eller kommentarer om denne politikken, kan du sende oss en e-post på nh.wiiuguide@gmail.com