# NH Wii U Guide

A guide collaboration between Nintendo Homebrew's Helpers and Staff, from stock to CBHC custom firmware.

?> **Discord Help** For live support with this guide please visit us in **#wiiu-assistance** on the [Nintendo Homebrew Discord](https://discord.gg/C29hYvh) and ask, in English, for assistance.

### Homebrew

> Homebrew applications are custom, user-made software, which haven’t been authorized by Nintendo. This can include save editing tools, games, emulators, and more.
> 
> Homebrew can be run on your Wii U as long as you have a way to put files on an SD Card and your Wii U is updated to the latest version for your region.

### Custom Firmware

> Custom Firmware (“CFW”) enables you to use more advanced hacks that userland homebrew can’t easily do. For instance, installing game modifications with ease. CFW can be set up on any console on the latest version.

### Homebrew & CFW Uses
>
> Among other things, it allows you to do the following:
> 
> - Use “ROM hacks” for games that you own
> - Backup, edit and restore saves for many games
> - Play games for older systems with various emulators, using RetroArch or other standalone emulators
> - Play out-of-region games
> - Dump your Wii U game discs to a format that can be installed on your internal or external Wii U storage drive.


### End Goal

> This guide has the end goal of taking a completely unmodified Wii U from stock to Custom Firmware.

### Before Starting

!> Before beginning the guide, you must know the risks of Wii U hacking: EVERY time you modify your system, there is always the potential for an UNRECOVERABLE brick. They’re rare but still a possibility so make sure you follow ALL directions EXACTLY.
>
> This guide will work on all Wii U consoles in all regions on firmware 5.5.4 or below.
> 
> You will need the following in order to successfully follow this guide:
> 
> - An SD Card
> - A device such as a computer to place files onto the SD Card
> - A Wii U with internet access
> 
> Your SD Card should preferably be 32 gigabytes large, as a full NAND backup for the console will take up around 8 or 30 gigabytes depending on your model.

If everything goes according to plan, you will lose no data and end up with everything that you started with (games, NNID, saves, etc will be preserved).

Keep your device plugged in throughout the entire process to avoid data loss or damage from an unexpected power-off.

With the exception of CBHC, Custom Firmware is not permanent with current methods and will be unloaded upon rebooting the system.

It is advised that you read the entire guide from start to finish one or more times before actually running through the guide with your system.

---

### [Continue to Choose a CFW](cfw-choice) {docsify-ignore}